require 'crowd_fund/fundrequest'
require 'crowd_fund/funding_round'

module CrowdFund
  describe FundRequest do

    before do
      @fundrequest = FundRequest.new("VC-Friendly Start-up Projects")

      @initial_funds = 1000
      @project = Project.new("Project ABC", 5000, @initial_funds)
      $stdout = StringIO.new

      @fundrequest.add_project(@project)
    end

    it "adds funds to a project if an even number is rolled" do
      allow_any_instance_of(Die).to receive(:roll).and_return(4)

      @fundrequest.request_funding(1)

      expect(@project.funding).to eq(@initial_funds + 25)
    end

    it "removes funds to a project if an odd number is rolled" do
      allow_any_instance_of(Die).to receive(:roll).and_return(3)

      @fundrequest.request_funding(1)

      expect(@project.funding).to eq(@initial_funds - 15)
    end
  end
end
